API ReferenceapiaffiliatesGET /v1/referrals/invites

GET /v1/referrals/invites

Service: affiliates · operationId: (none)

Invite history for the current user.

Required scopes

(no scope declared — review service config)

Responses

200 Invites

{
  "type": "object",
  "properties": {
    "enrolled": {
      "type": "boolean"
    },
    "data": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": [
              "string",
              "null"
            ]
          },
          "status": {
            "type": "string",
            "enum": [
              "joined",
              "pending",
              "declined"
            ]
          },
          "invited_at": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "status",
          "invited_at"
        ]
      }
    }
  },
  "required": [
    "enrolled",
    "data"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/referrals/invites \
  -H "Authorization: Bearer $ACCESS_TOKEN"